MyGUI::Enumerator< T > Class Template Reference

`#include <MyGUI_Enumerator.h>`

Inheritance diagram for MyGUI::Enumerator< T >:
[legend]

## Public Member Functions

| Enumerator (const T &_container)
| Enumerator (typename T::const_iterator _first, typename T::const_iterator _end)
bool | next ()
T::const_reference | operator-> () const
T::const_reference | current ()

## Detailed Description

template<typename T>
class MyGUI::Enumerator< T >

Definition at line 48 of file MyGUI_Enumerator.h.

## Constructor & Destructor Documentation

## Enumerator() [1/2]

template<typename T>

MyGUI::Enumerator< T >::Enumerator | ( | const T & | _container | ) |

inline explicit

Definition at line 51 of file MyGUI_Enumerator.h.

## Enumerator() [2/2]

template<typename T>

MyGUI::Enumerator< T >::Enumerator | ( | typename T::const_iterator | _first,
|  | typename T::const_iterator | _end )

inline

Definition at line 58 of file MyGUI_Enumerator.h.

## Member Function Documentation

## current()

template<typename T>

T::const_reference MyGUI::Enumerator< T >::current | ( |  | ) |

inline

Definition at line 84 of file MyGUI_Enumerator.h.

## next()

template<typename T>

bool MyGUI::Enumerator< T >::next | ( |  | ) |

inline

Definition at line 65 of file MyGUI_Enumerator.h.

## operator->()

template<typename T>

T::const_reference MyGUI::Enumerator< T >::operator-> | ( |  | ) | const

inline

Definition at line 78 of file MyGUI_Enumerator.h.

The documentation for this class was generated from the following file:

- MyGUI_Enumerator.h